Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ?
xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ? [message #476889] Tue, 29 January 2008 09:32 Go to next message
Rene Ladan is currently offline Rene LadanFriend
Messages: 51
Registered: July 2009
Member
Hi,

is it possible to use EMF / UML2 to downgrade an UML 2.0/2.1 model serialized as XMI 2.1 to a UML 1.3 model serialized as XMI 1.1 ?
The original model consists of an XMI, UML, and EMX file.
I can correctly load the XMI file and show the XMI version using getXMIVersion().
Unfortunately, setXMIVersion() only seems to change the XMI version field, it doens't instruct EMF/UML2 to write XMI 1.1 ...

I stumbled over http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html#_Migration
but that seems more appropriate for UML 2.0 -> UML 2.1.1 conversions?

An alternative would be to write an XSLT script which extracts/converts the part I need.

Thanks,
Rene
Re: xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ? [message #476894 is a reply to message #476889] Tue, 29 January 2008 14:39 Go to previous messageGo to next message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Rene,

Downgrading from UML 2.0 to UML 1.3 is not supported by this opensource
project so if you need this capability you will have to extract the
information yourself.
Keep in mind that the UML metamodel has changed quite dramatically between
those versions. If you intend to do this migration I would expect there to
be a loss of data.

Also have a look at
http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 1_Migration_Guide/guide.html
in addition to the one you found
http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html

Cheers,

- James.

"Rene Ladan" <r.c.ladan@tue.nl> wrote in message
news:fnmrqq$qa$1@build.eclipse.org...
> Hi,
>
> is it possible to use EMF / UML2 to downgrade an UML 2.0/2.1 model
> serialized as XMI 2.1 to a UML 1.3 model serialized as XMI 1.1 ?
> The original model consists of an XMI, UML, and EMX file.
> I can correctly load the XMI file and show the XMI version using
> getXMIVersion().
> Unfortunately, setXMIVersion() only seems to change the XMI version field,
> it doens't instruct EMF/UML2 to write XMI 1.1 ...
>
> I stumbled over
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html#_Migration
> but that seems more appropriate for UML 2.0 -> UML 2.1.1 conversions?
>
> An alternative would be to write an XSLT script which extracts/converts
> the part I need.
>
> Thanks,
> Rene
Re: xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ? [message #476895 is a reply to message #476894] Tue, 29 January 2008 14:56 Go to previous message
Rene Ladan is currently offline Rene LadanFriend
Messages: 51
Registered: July 2009
Member
James Bruck wrote:
> Hi Rene,
>
> Downgrading from UML 2.0 to UML 1.3 is not supported by this opensource
> project so if you need this capability you will have to extract the
> information yourself.
Ok ...

> Keep in mind that the UML metamodel has changed quite dramatically between
> those versions. If you intend to do this migration I would expect there to
> be a loss of data.
>
I expect some data loss too, but not all data is important for the task at hand.

> Also have a look at
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 1_Migration_Guide/guide.html
> in addition to the one you found
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html
>
> Cheers,
>
> - James.
>
> "Rene Ladan" <r.c.ladan@tue.nl> wrote in message
> news:fnmrqq$qa$1@build.eclipse.org...
>> Hi,
>>
>> is it possible to use EMF / UML2 to downgrade an UML 2.0/2.1 model
>> serialized as XMI 2.1 to a UML 1.3 model serialized as XMI 1.1 ?
>> The original model consists of an XMI, UML, and EMX file.
>> I can correctly load the XMI file and show the XMI version using
>> getXMIVersion().
>> Unfortunately, setXMIVersion() only seems to change the XMI version field,
>> it doens't instruct EMF/UML2 to write XMI 1.1 ...
>>
>> I stumbled over
>> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html#_Migration
>> but that seems more appropriate for UML 2.0 -> UML 2.1.1 conversions?
>>
>> An alternative would be to write an XSLT script which extracts/converts
>> the part I need.
>>
>> Thanks,
>> Rene
>
>
Re: xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ? [message #625950 is a reply to message #476889] Tue, 29 January 2008 14:39 Go to previous message
james bruck is currently offline james bruckFriend
Messages: 1724
Registered: July 2009
Senior Member
Hi Rene,

Downgrading from UML 2.0 to UML 1.3 is not supported by this opensource
project so if you need this capability you will have to extract the
information yourself.
Keep in mind that the UML metamodel has changed quite dramatically between
those versions. If you intend to do this migration I would expect there to
be a loss of data.

Also have a look at
http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 1_Migration_Guide/guide.html
in addition to the one you found
http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html

Cheers,

- James.

"Rene Ladan" <r.c.ladan@tue.nl> wrote in message
news:fnmrqq$qa$1@build.eclipse.org...
> Hi,
>
> is it possible to use EMF / UML2 to downgrade an UML 2.0/2.1 model
> serialized as XMI 2.1 to a UML 1.3 model serialized as XMI 1.1 ?
> The original model consists of an XMI, UML, and EMX file.
> I can correctly load the XMI file and show the XMI version using
> getXMIVersion().
> Unfortunately, setXMIVersion() only seems to change the XMI version field,
> it doens't instruct EMF/UML2 to write XMI 1.1 ...
>
> I stumbled over
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html#_Migration
> but that seems more appropriate for UML 2.0 -> UML 2.1.1 conversions?
>
> An alternative would be to write an XSLT script which extracts/converts
> the part I need.
>
> Thanks,
> Rene
Re: xmi 2.1 / uml 2.x to xmi 1.1 / uml 1.3 ? [message #625951 is a reply to message #476894] Tue, 29 January 2008 14:56 Go to previous message
Rene Ladan is currently offline Rene LadanFriend
Messages: 51
Registered: July 2009
Member
James Bruck wrote:
> Hi Rene,
>
> Downgrading from UML 2.0 to UML 1.3 is not supported by this opensource
> project so if you need this capability you will have to extract the
> information yourself.
Ok ...

> Keep in mind that the UML metamodel has changed quite dramatically between
> those versions. If you intend to do this migration I would expect there to
> be a loss of data.
>
I expect some data loss too, but not all data is important for the task at hand.

> Also have a look at
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 1_Migration_Guide/guide.html
> in addition to the one you found
> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html
>
> Cheers,
>
> - James.
>
> "Rene Ladan" <r.c.ladan@tue.nl> wrote in message
> news:fnmrqq$qa$1@build.eclipse.org...
>> Hi,
>>
>> is it possible to use EMF / UML2 to downgrade an UML 2.0/2.1 model
>> serialized as XMI 2.1 to a UML 1.3 model serialized as XMI 1.1 ?
>> The original model consists of an XMI, UML, and EMX file.
>> I can correctly load the XMI file and show the XMI version using
>> getXMIVersion().
>> Unfortunately, setXMIVersion() only seems to change the XMI version field,
>> it doens't instruct EMF/UML2 to write XMI 1.1 ...
>>
>> I stumbled over
>> http://www.eclipse.org/modeling/mdt/uml2/docs/guides/UML2_2. 0_Migration_Guide/guide.html#_Migration
>> but that seems more appropriate for UML 2.0 -> UML 2.1.1 conversions?
>>
>> An alternative would be to write an XSLT script which extracts/converts
>> the part I need.
>>
>> Thanks,
>> Rene
>
>
Previous Topic:Using emf and uml2 standalone parsing for a Magicdraw exported model
Next Topic:[Announce] MDT UML2 2.2.0 I200801292200 is available
Goto Forum:
  


Current Time: Tue Aug 16 04:09:12 GMT 2022

Powered by FUDForum. Page generated in 0.02140 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top